# Generated by rust2rpm 26
%bcond_without check

# prevent library files from being installed
%global cargo_install_lib 0

Name:           du-dust
Version:        1.1.2
Release:        %autorelease
Summary:        More intuitive version of du

License:        Apache-2.0 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSD-2-Clause AND MIT AND (MIT OR Apache-2.0) AND (Unlicense OR MIT)
SourceLicense:  Apache-2.0

URL:            https://github.com/bootandy/dust
Source:         %{url}/archive/refs/tags/v%{version}.tar.gz
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          du-dust-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 26

%global _description %{expand:
A more intuitive version of du.}

%description %{_description}

%package bash-completion
BuildArch:      noarch
Summary:        Bash completion files for %{name}
Provides:       %{name}-bash-completion = %{version}-%{release}

Requires:       bash-completion
Requires:       %{name} = %{version}-%{release}

%description bash-completion
This package installs Bash completion files for %{name}

%package fish-completion
BuildArch:      noarch
Summary:        Fish completion files for %{name}
Provides:       %{name}-fish-completion = %{version}-%{release}

Requires:       fish
Requires:       %{name} = %{version}-%{release}

%description fish-completion
This package installs Fish completion files for %{name}

%package zsh-completion
BuildArch:      noarch
Summary:        Zsh completion files for %{name}
Provides:       %{name}-zsh-completion = %{version}-%{release}

Requires:       zsh
Requires:       %{name} = %{version}-%{release}

%description zsh-completion
This package installs Zsh completion files for %{name}

%prep
%autosetup -n dust-%{version} -p1
cargo vendor
%cargo_prep -v vendor

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
%{cargo_vendor_manifest}

%install
%cargo_install

install -Dpm644 man-page/dust.1 %{buildroot}%{_mandir}/man1/dust.1
install -Dpm644 completions/dust.bash %{buildroot}%{bash_completions_dir}/dust
install -Dpm644 completions/dust.fish %{buildroot}%{fish_completions_dir}/dust.fish
install -Dpm644 completions/_dust %{buildroot}%{zsh_completions_dir}/_dust

%if %{with check}
%check
%cargo_test
%endif

%files
%license LICENSE LICENSE.dependencies cargo-vendor.txt
%doc README.md
%{_bindir}/dust
%{_mandir}/man1/dust.1*

%files bash-completion
%{bash_completions_dir}/dust

%files zsh-completion
%{zsh_completions_dir}/_dust

%files fish-completion
%{fish_completions_dir}/dust.fish

%changelog
%autochangelog
